mbed TLS v2.23.0

Data Fields
psa_key_policy_s Struct Reference

`#include <crypto_struct.h>`

## Data Fields
psa_key_usage_t | usage
psa_algorithm_t | alg
psa_algorithm_t | alg2

## Detailed Description

Definition at line 279 of file crypto_struct.h.

## Field Documentation

## ◆ alg

psa_algorithm_t psa_key_policy_s::alg

Definition at line 282 of file crypto_struct.h.

Referenced by psa_get_key_algorithm(), and psa_set_key_algorithm().

## ◆ alg2

psa_algorithm_t psa_key_policy_s::alg2

Definition at line 283 of file crypto_struct.h.

Referenced by psa_get_key_enrollment_algorithm(), and psa_set_key_enrollment_algorithm().

## ◆ usage

psa_key_usage_t psa_key_policy_s::usage

Definition at line 281 of file crypto_struct.h.

Referenced by psa_get_key_usage_flags(), and psa_set_key_usage_flags().

The documentation for this struct was generated from the following file:

- crypto_struct.h